### Method

# Ggit Repository cherry_pick

#### Declaration [src]

    gboolean
    ggit_repository_cherry_pick (
      GgitRepository* repository,
      GgitCommit* commit,
      GgitCherryPickOptions* options,
      GError** error
    )

#### Description [src]

Cherry pick the specified commit, making changes in the index and the working directory.

#### Parameters

`commit`

  Type: `GgitCommit`

  A `GgitCommit`.

  The data is owned by the caller of the method.

`options`

  Type: `GgitCherryPickOptions`

  A `GgitCherryPickOptions`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the commit was cherry-picked successfully, `FALSE` otherwise.